com.verisign.epp.codec.validate.v02

## Class EPPValidateCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd
    - - com.verisign.epp.codec.validate.v02.EPPValidateCheckCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPValidateCheckCmd
      extends EPPCheckCmd

  The `EPPValidateCheckCmd` is used for the Validate Check Command, that is used for the validation of contact and eligibility data.
  See Also:
    `EPPValidateCheckResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the name verification check command

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidateCheckCmd()` `EPPValidateCheckCmd` default constructor.
    `EPPValidateCheckCmd(java.lang.String aTransId)` `EPPValidateCheckCmd` constructor with just the client transaction identifier.
    `EPPValidateCheckCmd(java.lang.String aTransId, EPPValidateContact aContact)` `EPPValidateCheckCmd` constructor that will check an individual contact.
    `EPPValidateCheckCmd(java.lang.String aTransId, java.util.List<EPPValidateContact> aContacts)` `EPPValidateCheckCmd` constructor that will check a list of contacts.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContact(EPPValidateContact aContact)` Add a contact to the list of contacts to validate.
    `java.lang.Object` | `clone()` Clone `EPPValidateCheckCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPValidateCheckCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPValidateCheckCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPValidateCheckCmd` with this instance.
    `java.util.List<EPPValidateContact>` | `getContacts()` Gets contacts to validate.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPValidateCheckCmd` .
    `boolean` | `hasContacts()` Is there any contacts set?
    `void` | `setContact(EPPValidateContact aContact)` Sets individual contact to validate.
    `void` | `setLabels(java.util.List<EPPValidateContact> aContacts)` Sets contacts to validate.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the name verification check command
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPValidateCheckCmd

          public EPPValidateCheckCmd()

      `EPPValidateCheckCmd` default constructor.

    - #### EPPValidateCheckCmd

          public EPPValidateCheckCmd(java.lang.String aTransId)

      `EPPValidateCheckCmd` constructor with just the client transaction identifier.
      Parameters:
        `aTransId` - Transaction Id associated with command.

    - #### EPPValidateCheckCmd

          public EPPValidateCheckCmd(java.lang.String aTransId,
                                     EPPValidateContact aContact)

      `EPPValidateCheckCmd` constructor that will check an individual contact.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aContact` - Contact to validate

    - #### EPPValidateCheckCmd

          public EPPValidateCheckCmd(java.lang.String aTransId,
                                     java.util.List<EPPValidateContact> aContacts)

      `EPPValidateCheckCmd` constructor that will check a list of contacts.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aContacts` - `List` of labels to check

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPValidateCheckCmd` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPValidateMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPValidateCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCheckCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPValidateCheckCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPValidateCheckCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### hasContacts

          public boolean hasContacts()

      Is there any contacts set?
      Returns:
        `true` if there is at least one `EPPValidateContact` set; `false` otherwise.

    - #### setContact

          public void setContact(EPPValidateContact aContact)

      Sets individual contact to validate.
      Parameters:
        `aContact` - Contact to validate

    - #### getContacts

          public java.util.List<EPPValidateContact> getContacts()

      Gets contacts to validate.
      Returns:
        List of contacts.

    - #### setLabels

          public void setLabels(java.util.List<EPPValidateContact> aContacts)

      Sets contacts to validate.
      Parameters:
        `aContacts` - Contacts to validate.

    - #### addContact

          public void addContact(EPPValidateContact aContact)

      Add a contact to the list of contacts to validate.
      Parameters:
        `aContact` - Contact to add

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPValidateCheckCmd` instance.
      Specified by:
        `doEncode` in class `EPPCheckCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPValidateCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPValidateCheckCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPValidateCheckCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCheckCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPValidateCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement